#ifndef CREATE_WINDOW_H___
#define CREATE_WINDOW_H___

#include <cassert>

extern const char* nazwa_klasy;

inline HWND NoweOkno (HINSTANCE hInstance, const char* klasa = 0)
{
   static HINSTANCE hinst = 0;
   static const char* nazwa_klasy = 0;
   if (hinst == 0)
   {
      hinst = hInstance;
      nazwa_klasy = klasa;
   }

   assert (hinst != 0);
   assert (nazwa_klasy != 0);

   return CreateWindowEx ( 0,
      nazwa_klasy,
      "Mysz",	
      WS_OVERLAPPEDWINDOW | WS_VISIBLE,			
      CW_USEDEFAULT, CW_USEDEFAULT, 
      CW_USEDEFAULT, CW_USEDEFAULT,
      0,
      0,
      hinst,
      0
      );
} 

#endif

