#ifndef CUDO_H__
#define CUDO_H__

#if !defined(_WINDOWS_H) && !defined(_WINDOWS_)
#include <windows.h>
#endif

#include "BitMap.h"



class Cudo
{
public:
   Cudo(HWND hwnd, POINT point, const BitMap* p)
      : _point(point), _hwnd(hwnd), _pBitMap(p)
   {

   }
protected:
   POINT _point;
   HWND _hwnd;
   const BitMap* const _pBitMap;
   
   HINSTANCE  h_inst()
   {
      return (HINSTANCE) GetWindowLong(_hwnd, GWL_HINSTANCE);
   }
public:
   void rysuj(HDC hdc)
   {
      _pBitMap->rysuj(hdc, _point);

   }
   RECT rect() const 
   {
      int x1 = (_pBitMap->szer()+1)/2;
      int y1 = (_pBitMap->wys()+1)/2;
      RECT wynik = {_point.x - x1, _point.y - y1, _point.x + x1, _point.y + y1};
      return wynik;
   }
}; 

#endif

